<?php
//共通
require_once '../../base/common.php';
require_once '../../util/combo.php';

$logger = new logger(basename(__FILE__));
$logger->info("===af291x_index_start===");
//$logger->info('post', $_POST)

$assign_var["noeventClassHeader"] = "";
$assign_var["noeventClassBody"]   = "";

$valutil = new getValueUtil();
global $stringUtil;

$header = Array(
);


//在庫一覧から開かれる場合がある
foreach($_POST as $key => $val) {
  $header[$key] = $val;
}


//コンボボックス作成
$listutil = null;
$listutil = new getListUtil();
$assign_var["listGdcls9"] = $listutil->getListAfm90('6'); //改廃区分


try {

} catch(userException $ue) {
  $assign_var["hasError"] = true;
  $assign_var["errorMsg"] = $ue->getMessage();
} catch(Exception $e) {
  $assign_var["hasError"] = true;
  $assign_var["errorMsg"] = $e->getMessage();
}

//POPUP
$assign_var["hasPopJan"] = "1";
$assign_var["hasPopKtktcd"] = "1";


$assign_var["header"] = $header;
$logger->info("header", $header);

// 初期表示
$dataList = Array(
);
array_push($dataList, $obj);

$logger->info("dataList", $dataList);
$assign_var["data"] = $dataList;

//Smartyへアサイン
$logger->info("assign_var",$assign_var);
$smarty->assign($assign_var);
$smarty->display("index");

$logger->info("=== af291x_index_end ===");
?>
